Package org.apache.lucene.codecs.uniformsplit.sharedterms

## Class UnionFieldMetadataBuilder

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.sharedterms.UnionFieldMetadataBuilder

-     public class UnionFieldMetadataBuilder
      extends Object

  Builds a `FieldMetadata` that is the union of multiple `FieldMetadata`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnionFieldMetadataBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UnionFieldMetadataBuilder` | `addFieldMetadata​(FieldMetadata fieldMetadata)` |
    `FieldMetadata` | `build()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionFieldMetadataBuilder

          public UnionFieldMetadataBuilder()

  - ### Method Detail

    - #### addFieldMetadata

          public UnionFieldMetadataBuilder addFieldMetadata​(FieldMetadata fieldMetadata)

    - #### build

          public FieldMetadata build()